<?php

namespace email\templates;

use email\helpers\email_template;

class email_template_header
{
    use email_template;

    public function generate_text(): string
    {
        return "";
    }

    public function generate_html(): string
    {
        ob_start();
        # Start of the html
        ?>

        <!-- Logo -->
        <div style="max-width: 600px;">
            <img src="https://usercontent.one/wp/www.truckwash.dk/wp-content/uploads/2021/04/truckwash-banner-png.png"
                 alt="Truck Wash logo"
                 style="width: 100%; max-width: 600px; height: auto; display: block; margin: 0 auto;">
        </div>

        <?php
        # End of the html
        return ob_get_clean();
    }
}